View Issue Details

IDProjectCategoryView StatusLast Update
0006237MediaMonkey (current)Properties/Auto-Toolspublic2010-11-04 22:56
ReporterLudek 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0006237: Properties: Add new 'Start Time' and 'Stop Time' fields
DescriptionBased on some requests like this
http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=16992&p=84543&hilit=skip+count#p84543
it seems it would make sense to add new 'Start Time' and 'Stop Time' fields (like iTunes has).

Either
A) directly to Track Properties
or to
B) File -> Manage Filters -> <filter> -> Configure -> Options -> Player Options

A) is preferable

It would be useful, because sometimes users want to skip several seconds for podcasts or audiobooks starting with some kind of advertising or a long signatures.
Also many songs have some preludes that are wanted to be skipped.
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=4&t=45823
TagsNo tags attached.
Fixed in build1321

Relationships

related to 0006242 closedLudek MediaMonkey (current) Scripting: Add new 'StartTime' and 'StopTime' GET/LET properties to ISDBSongData 
has duplicate 0004921 closedpetr MediaMonkey (current) Store Start-time / Stop-time for tracks 
related to 0003492 feedbackpetr MediaMonkey (current) Bookmarking and podcasts improvements 
child of 0005924 newLudek MediaMonkey 5 Framework: CUEPoint Support 

Activities

Ludek

2010-01-11 21:43

developer   ~0019922

Implemented in build 1301.

Added new editable 'Start Time' and 'Stop Time' fields to
Properties -> Details
page.

jiri

2010-01-12 08:45

administrator   ~0019926

It should be also added to iPod syncing plug-in, so that the fields are used on iPods/iPhone.

Ludek

2010-01-12 18:54

developer   ~0019932

Of course, I forgot, thanks!

Fixed in build 1301.

stephen_platt

2010-10-25 13:07

developer   ~0020945

Last edited: 2010-10-25 13:09

View 2 revisions

verified 1318. However, I think it needs to be reopened. Start and stop fields do not recognize decimals with a period (eg 0:30.5)

Currently it only recognizes with a comma (eg 0:30,5)

I think both should be recognized or maybe be controlled by the localization (AFAIK in english speaking countries the period is always used).

Add'l info: http://en.wikipedia.org/wiki/Decimal_mark#Countries_using_Arabic_numerals_with_decimal_point

Ludek

2010-10-25 15:44

developer   ~0020967

Fixed in build 1319.

It accepts both form now.

stephen_platt

2010-11-01 15:19

developer   ~0021092

Tested in build 1319, but I still see some problems.

1. Enter 30,5 (or 30.5) into "Start time", hit OK. Reopen track properties. Start time now reads "0:00,005"

2. Enter 0:30,5 (or 0:30.5) into Start time, hit OK. Reopen track properties. Start time now reads "0:30,005"

Ludek

2010-11-03 15:19

developer   ~0021147

Fixed in build 1321.

stephen_platt

2010-11-04 22:56

developer   ~0021187

verified 1321